System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Permissions.CodeAccessSecurityAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Event | System.AttributeTargets.All, AllowMultiple=true, Inherited=false)

For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

Allows declaritive performance counter permission checks.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the performance counter category.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission To be added

  Creates the permission based on the requested access levels that are set through the property on the attribute.

  An that represents the created permission.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the computer name for the performance counter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterPermissionAccess To be added: an object of type 'PerformanceCounterPermissionAccess' To be added

  Gets or sets the access levels used in the permissions request.